"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parallelDirs = require('./parallel-dirs').parallelDirs;
var sameDir = require('./same-dir').sameDir;
var subDir = require('./sub-dir').subDir;
exports.getTestFuncs = function (projectFuncs, projectPaths, settings) {
    var testStructure = settings.testStructure;
    switch (testStructure) {
        case 'ParallelDirs':
            return parallelDirs(projectFuncs, projectPaths, settings);
        case 'SameDir':
            return sameDir(projectFuncs, projectPaths, settings);
        case 'SubDir':
            return subDir(projectFuncs, projectPaths, settings);
        default:
            throw new Error(testStructure + " is not a supported test structure");
    }
};
//# sourceMappingURL=factory.js.map