"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _a = require('../path-helpers'), removeExtension = _a.removeExtension, trimLeadingFolders = _a.trimLeadingFolders;
exports.sameDir = function (projectFuncs, projectPaths, settings) {
    var testSuffix = settings.testSuffix, packagePath = settings.packagePath, sourcePath = settings.sourcePath;
    return {
        sourceFileWPToTestFileWP: function (sourceFileWithinProject) {
            return removeExtension(sourceFileWithinProject) + testSuffix + '.js';
        },
        isPathWPTestFile: function (p) {
            var trimmedPathResult = trimLeadingFolders(p, [packagePath, sourcePath]);
            if (!trimmedPathResult.success) {
                return false;
            }
            return removeExtension(trimmedPathResult.value).endsWith(testSuffix);
        },
        testFileWPToSourceFileWP: function (p) {
            var baseFile = removeExtension(p).slice(0, -testSuffix.length);
            return baseFile + ".js";
        },
    };
};
//# sourceMappingURL=same-dir.js.map